Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059085 - Can't make persistent CDRom change while VM is running
Summary: Can't make persistent CDRom change while VM is running
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3.1
Assignee: Martin Betak
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On: 1014035
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 07:26 UTC by rhev-integ
Modified: 2014-03-03 13:32 UTC (History)
12 users (show)

Fixed In Version: is34
Doc Type: Bug Fix
Doc Text:
Previously, any changes to the CD on a running virtual machine made via the REST API would be discarded after the virtual machine was stopped. With this update, changes to the CD used by a virtual machine made via the REST API are persistent.
Clone Of: 1014035
Environment:
Last Closed: 2014-03-03 13:32:10 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0227 normal SHIPPED_LIVE rhevm 3.3.1 bug fix update 2014-03-03 18:29:31 UTC
oVirt gerrit 20288 None None None Never
oVirt gerrit 20994 None None None Never

Comment 2 Pavel Novotny 2014-02-10 17:25:57 UTC
Verified in rhevm-3.3.1-0.47.el6ev.noarch (is34).

Changing CD permanently on a running VM via REST API is now possible.

Verification steps:
1. Have a running VM without CD-ROM image attached (I used Fedora 19).
2. Attach CD permanently:
>>> request:
PUT /api/vms/5d4f3c8a-7514-400d-a0f7-5c6c51178ba8/cdroms/00000000-0000-0000-0000-000000000000

<cdrom>
<file id="CentOS-6.5-x86_64-minimal.iso"/>
</cdrom>

>>> response:
<cdrom href= "/api/vms/5d4f3c8a-7514-400d-a0f7-5c6c51178ba8/cdroms/00000000-0000-0000-0000-000000000000" id="00000000-0000-0000-0000-000000000000">
<vm href= "/api/vms/5d4f3c8a-7514-400d-a0f7-5c6c51178ba8" id="5d4f3c8a-7514-400d-a0f7-5c6c51178ba8"/>
<file id="CentOS-6.5-x86_64-minimal.iso"/>
</cdrom>

3. Verifying that change is permanent:
>>> request:
GET /api/vms/5d4f3c8a-7514-400d-a0f7-5c6c51178ba8/cdroms/00000000-0000-0000-0000-000000000000

>>> response:
<cdrom href="/api/vms/5d4f3c8a-7514-400d-a0f7-5c6c51178ba8/cdroms/00000000-0000-0000-0000-000000000000" id="00000000-0000-0000-0000-000000000000">
<vm href="/api/vms/5d4f3c8a-7514-400d-a0f7-5c6c51178ba8" id="5d4f3c8a-7514-400d-a0f7-5c6c51178ba8"/>
<file id="CentOS-6.5-x86_64-minimal.iso"/>
</cdrom>

The CD-ROM is not changed on-the-fly while the VM is running, but it's permanent and applied after the VM is stopped & started again.

Additional Notes:

The ';current' matrix parameter works still the same: it changes the CD on-the-fly, but the change doesn't survive after the VM is stopped.

Comment 4 errata-xmlrpc 2014-03-03 13:32:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0227.html


Note You need to log in before you can comment on or make changes to this bug.